<div class="p-2">
  <p-breadcrumb [home]="{icon: 'pi pi-home', label: ' Asignación de asuntos', routerLink: '../../'}"
    [model]="[{ icon: 'pi pi-user', label: userInfo.nombre? ' '+userInfo.nombre: '', routerLink: './'}]">
  </p-breadcrumb>
</div>
<div class="p-2">
  <div class="card p-3 m-0 w-100">
    <div class="form-row">
      <label for="" class="col-12">Agregar nuevo asunto: </label>
      <div class="col-4">
        <p-dropdown styleClass="w-100" name="asunto" id="asunto" [(ngModel)]="newAsunto.tipoAsunto"
          [options]="catalogos?.tipoAsunto" placeholder="Tipo de asunto" optionValue="nombre" optionLabel="nombre"
          filterBy="nombre" [showClear]="true" filter="true">
        </p-dropdown>
      </div>
      <div class="col-4">
        <input type="text" name="numExp" id="numExp" class="form-control" [(ngModel)]="newAsunto.numExpediente"
          placeholder="Número de expediente">
      </div>
      <div class="col-4">
        <p-dropdown styleClass="w-100" [(ngModel)]="type" name="modulo" id="modulo"
          [options]="[{nombre:'Sentencias'},{nombre:'Versiones Taquigráficas'}]" placeholder="Módulo de asignación"
          optionValue="nombre" optionLabel="nombre" filterBy="nombre" [showClear]="true" filter="true">
        </p-dropdown>
      </div>
      <div class="col-12">
        <div class="d-flex justify-content-end">
          <p-button styleClass="p-button-sm" label="Agregar asunto" icon="pi pi-plus" (onClick)="addAsunto()">
          </p-button>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col">
      <p class="text-center">Asuntos asignados en módulo sentencias</p>
      <div class="card list p-2">
          <div class="list-item-rubro" *ngFor="let asunto of sentenciaAsuntos; let i = index;">
            <div class="list-options">
              <i class="pi pi-trash c-del" (click)="sentenciaAsuntos.splice(i,1)"></i>
            </div>
            <p class="item-rubro">{{asunto.tipoAsunto}} {{asunto.numExpediente}}</p>
          </div>
      </div>
    </div>
    <div class="col">
      <p class="text-center">Asuntos asignados en módulo versiones taquigráficas</p>
      <div class="card list p-2">
        <div class="list-item-rubro" *ngFor="let asunto of taquigraficasAsuntos; let i = index;">
          <div class="list-options">
            <i class="pi pi-trash c-del" (click)="taquigraficasAsuntos.splice(i,1)"></i>
          </div>
          <p class="item-rubro">{{asunto.tipoAsunto}} {{asunto.numExpediente}}</p>
        </div>
      </div>
    </div>

    <div class="col-12">
      <div class="d-flex justify-content-end">
        <p-button styleClass="p-button-sm" label="Actualizar asuntos" icon="pi pi-save" (onClick)="updateUser()">
        </p-button>
      </div>
    </div>
  </div>
</div>
